'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

require('fs');

var _fsExtra = require('fs-extra');

var _fsExtra2 = _interopRequireDefault(_fsExtra);

var _walk = require('walk');

var _walk2 = _interopRequireDefault(_walk);

var _log = require('../utils/log');

var _log2 = _interopRequireDefault(_log);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = {
    import: _import
};


function _import() {
    var opts = arguments.length <= 0 || arguments[0] === undefined ? {} : arguments[0];

    if (!opts.from || !opts.to) {
        throw new Error('Invalid options, please fill FROM/TO paths');
    }

    // Default options to walk
    var _default = {
        from: opts.from,
        to: opts.to,
        onFile: function onFile(root, stats, next) {
            // Copy only if is file
            if (stats.type === 'file') {
                _log2.default.info('Copying file ' + root + '/' + stats.name + ' to ' + opts.to + '/' + stats.name);
                _fsExtra2.default.copySync(root + '/' + stats.name, opts.to + '/' + stats.name);
            }
            next();
        },
        onError: function onError(root, error, next) {
            next();
        },
        onEnd: function onEnd() {
            opts.onEnd();
        }
    };

    // Walk on each file
    var walker = _walk2.default.walk(_default.from, { followLinks: false });

    walker.on('file', _default.onFile);
    walker.on('error', _default.onError);
    walker.on('end', _default.onEnd);
}